package net.md_5.bungee.api.plugin;

import java.io.File;
import java.util.HashSet;
import java.util.Set;
/**
 * POJO representing the plugin.yml file.
 */

//@Data

public class PluginDescription
{
    public PluginDescription(){

    }

    public PluginDescription(String name, String main, String version, String author, Set<String> depends, File file) {
        this.name = name;
        this.main = main;
        this.version = version;
        this.author = author;
        this.depends = depends;
        this.file = file;
    }

    public String getName() {
        return name;
    }

    public String getMain() {
        return main;
    }

    public String getVersion() {
        return version;
    }

    public String getAuthor() {
        return author;
    }

    public Set<String> getDepends() {
        return depends;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setMain(String main) {
        this.main = main;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public void setDepends(Set<String> depends) {
        this.depends = depends;
    }

    public void setFile(File file) {
        this.file = file;
    }

    /**
     * Friendly name of the plugin.
     */
    private String name;
    /**
     * Plugin main class. Needs to extend {@link Plugin}.
     */
    private String main;
    /**
     * Plugin version.
     */
    private String version;
    /**
     * Plugin author.
     */
    private String author;
    /**
     * Plugin hard dependencies.
     */
    private Set<String> depends = new HashSet<>();
    /**
     * File we were loaded from.
     */
    private File file = null;

    public File getFile() {
        return file;
    }
}
